Kinook Software Forums

Go Back   Kinook Software Forums > Visual Build Professional > [VBP] Third Party Tools

Reply
 
Thread Tools Rate Thread Display Modes
  #1  
Old 09-26-2008, 08:41 AM
ahouriet ahouriet is online now
Registered User
 
Join Date: 09-25-2008
Posts: 5
Advanced Installer Command Line Problem

I'm attempting to configure the Advanced Installer (6.5.2) build to update it's version from my application executable. It looks like the sequence of flags on the command line is incorrect, I get an error on that build step.

When I manually copied and pasted and modified the sequence, it worked ok.

Here is the command line generated that fails:
"C:\Program Files\Caphyon\Advanced Installer 6.5.2\AdvancedInstaller.com" /edit MySetup.aip /setversion MyApplication.exe -fromfile

If I move the -fromfile to before the application filename, it works:
"C:\Program Files\Caphyon\Advanced Installer 6.5.2\AdvancedInstaller.com" /edit MySetup.aip /setversion -fromfile MyApplication.exe

Is there a way I can change how the command line is built?

Thanks,
Andy
Reply With Quote
  #2  
Old 09-26-2008, 10:45 AM
kinook kinook is online now
Administrator
 
Join Date: 03-06-2001
Location: Colorado
Posts: 5,720
Unzip and build the attached project to fix this problem. Thanks.
Attached Files
File Type: zip fixadvinst.zip (477 Bytes, 599 views)
Reply With Quote
  #3  
Old 09-26-2008, 11:34 AM
ahouriet ahouriet is online now
Registered User
 
Join Date: 09-25-2008
Posts: 5
Works perfectly now, thanks!

Andy
Reply With Quote
Reply

Thread Tools
Display Modes Rate This Thread
Rate This Thread:

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



All times are GMT -5. The time now is 06:17 AM.


Copyright 1999-2019 Kinook Software, Inc.